gping(1)

NAME
gping - Ping, but with a graph.

SYNOPSIS
gping [--cmd] [-n|--watch-interval] [-b|--buffer] [-4 ] [-6 ] [-i|--interface] [-s|--simple-graphics] [--vertical-margin] [--horizontal-margin] [-c|--color] [--clear] [--ping-args] [-h|--help] [HOSTS_OR_COMMANDS]

DESCRIPTION
Ping, but with a graph.

OPTIONS

--cmd
    Graph the execution time for a list of commands rather than pinging hosts

-n, --watch-interval=WATCH_INTERVAL
    Watch interval seconds (provide partial seconds like '0.5'). Default for ping is 0.2, default for cmd is 0.5

-b, --buffer=BUFFER [default: 30]
    Determines the number of seconds to display in the graph

-4  Resolve ping targets to IPv4 address

-6  Resolve ping targets to IPv6 address

-i, --interface=INTERFACE
    Interface to use when pinging

-s, --simple-graphics

--vertical-margin=VERTICAL_MARGIN [default: 1]
    Vertical margin around the graph (top and bottom)

--horizontal-margin=HORIZONTAL_MARGIN [default: 0]
    Horizontal margin around the graph (left and right)

-c, --color=color
    Assign color to a graph entry. This option can be defined more than once as a comma separated string, and the order which the colors are provided will be matched against the hosts or commands passed to gping. Hexadecimal RGB color codes are accepted in the form of '#RRGGBB' or the following color names: 'black', 'red', 'green', 'yellow', 'blue', 'magenta', 'cyan', 'gray', 'dark-gray', 'light-red', 'light-green', 'light-yellow', 'light-blue', 'light-magenta', 'light-cyan', and 'white'

--clear
    Clear the graph from the terminal after closing the program

--ping-args=PING_ARGS
    Extra arguments to pass to `ping`. These are platform dependent

-h, --help
    Print help

[HOSTS_OR_COMMANDS]
    Hosts or IPs to ping, or commands to run if --cmd is provided. Can use cloud shorthands like aws:eu-west-1

AUTHORS
Tom Forbes <tom@tomforb.es>